      subroutine caretline(unit,line,il)
 
c     Subroutine to write out a line and place a caret (^) underneath
c     the place where an error is suspected.  If il<0, nothing is
c     written out.  If il=0, the line is written out, but not the caret.
c     A blank line is always written out first.
c
c     Note subroutine writeline, which does something similar to the
c     current subroutine, but without needing line as input.
c
c     Constantijn Panis, 13 July 1996
 
      implicit none
      integer unit,il,trm
      character line*(*),fmt*8,i2c*12
 
      if(il.lt.0)goto 999
      write(unit,'(/,a)')line(1:trm(line))
      if(il.eq.0)goto 999
      fmt='('//i2c(il-1,0)
      fmt=fmt(1:trm(fmt))//'x,a)'
      write(unit,fmt)'^'
 
  999 return
      end
