      double precision function dpblocksum(matrix,n1,n2,n3)
 
c     Subroutine to compute the sum of the elements of a block in a
c     two-dimensional array.
c
c     Arguments:
c        n1 = number of rows in the matrix
c        n2 = number of rows in the block
c        n3 = number of columns in the block
c        matrix = top left element of the block over which the sum
c                 is to be computed.
c
c     Constantijn Panis,  12 October 1992
 
      implicit none
      integer n1,n2,n3,i
      double precision matrix(n1,n3),temp,dpvecsum
 
      temp = 0.d0
      do 100 i=1,n3
         temp = temp + dpvecsum(matrix(1,i),n2)
  100 continue
      dpblocksum = temp
 
      return
      end
