      double precision function dprowsum(a,nrow,ncol)
 
c     Function to compute the sum of row elements of matrix a.
c     The sum of the first row is computed; should the sum of
c     row i be desired, use the routine as follows:
c        dprowsum(a(i,1),nrow,ncol)
c
c     Constantijn Panis,  23 September 1990
 
      implicit none
      integer nrow,ncol,i
      double precision a(nrow*ncol),temp
 
      temp=0.d0
      do 100 i=1,nrow*ncol,nrow
         temp = temp+a(i)
  100 continue
      dprowsum=temp
 
      return
      end
