      double precision function dpvecmax(array,length)
 
c     Double precision function to determaxe the highest element of
c     a vector.  If length=0, dpvecmax=0.d0 is returned.
c
c     Constantijn Panis,  10 October 1991
 
      implicit none
      integer length,i
      double precision array(length)
 
      if(length.eq.0)then
         dpvecmax=0.d0
         goto 999
      endif
      dpvecmax=array(1)
      do 100 i=2,length
         dpvecmax = max(dpvecmax,array(i))
  100 continue
 
  999 return
      end
