      double precision function innerp(x,y,n)
 
c     Function routine to compute the innerproduct of double
c     precision vectors x and y.  See subroutine inprod for
c     more complex innerproducts, such as innerproducts of
c     a row in a matrix with something else.
c
c     Constantijn Panis,  11 August 1990
 
      implicit none
      integer n,i
      double precision x(n),y(n)
      innerp=0.d0
      do 100 i=1,n
         innerp=innerp+x(i)*y(i)
  100 continue
      return
      end
