      integer function intmax()
 
c     Function to return the largest integer value that can
c     be represented by an integer variable.  On a Sun-4, integers
c     may be [-2**31, 2**31-1] = [-2147483648,2147483647]
c     Same is true for integer (4) in Fortran 90.
c
c     WARNING: this routine is machine specific!
c
c     Note:  since negative numbers may be one larger, in absolute value,
c     than positive values, -intmax() may be used.
c
c     Constantijn Panis, 23 January 2006
c     Last change: hardwire Sun f77
 
      implicit none
 
c     intmax = huge(intmax)
      intmax = 2147483647
 
      return
      end
