      logical function lvecequal(a,b,n)
 
c     Logical function to check whether all n elements of logical
c     vectors a and b are equal.
c
c     Constantijn Panis,  1 November 1991
 
      implicit none
      integer n,i
      logical a(n),b(n)
 
c     Would like to use an exclusive or, but that would be nonstandard.
c     Expressions like a(i).ne.b(i) are also nonstandard.
      do 100 i=1,n
         if(a(i))then
            if(.not.b(i))goto 800
         else
            if(b(i))goto 800
         endif
  100 continue
 
      lvecequal = .true.
      goto 999
 
  800 lvecequal = .false.
  999 return
      end
