      subroutine wr_m_rset(unit,levelmax,moel,meno,namepntr,maxxnode,
     *   nold,xnode,rsetname,oldname)
 
c     Subroutine to write out a regressor set reference in any
c     particular model statement.  This routine updates meno.
c
c     moel(1)  = 3  This is a regressor set
c     moel(2)  = 1 reference is direct
c                2 reference is indirect
c     moel(3)  = definition rank number if moel(2)=1
c                expression position in xnode if moel(2)=2
c
c     Constantijn Panis,  20 March 1998
 
      implicit none
      integer unit,levelmax,moel(*),meno,namepntr(levelmax),
     *   maxxnode,nold,trm
      real xnode(maxxnode)
      character rsetname(*)*12,oldname(nold)*8,name*12
 
      if(moel(meno+1).eq.1)then
c        Directly referenced:
         name=rsetname(moel(meno+2))
         write(unit,'(a,$)')'regset '//name(1:trm(name))
c        write(unit,'(a,$)')'regset '//name(1:trm(name))
cD        write(unit,'(a)',advance='no')'regset '//name(1:trm(name))
      elseif(moel(meno+1).eq.2)then
c        Indirectly referenced:
         write(unit,'(a,$)')'regset(refvar='
c        write(unit,'(a,$)')'regset(refvar='
cD        write(unit,'(a)',advance='no')'regset(refvar='
         call writeexpr(100,unit,maxxnode,0,levelmax,1,-moel(meno+2),
     *      0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
         write(unit,'(a,$)')')'
c        write(unit,'(a,$)')')'
cD        write(unit,'(a)',advance='no')')'
      else
         call bug(1,1)
      endif
      meno=meno+3
 
      return
      end
