      logical function anydpnan(array,length)
 
c     Logical function to determine whether any element in a double
c     precision array is quiet NaN, signaling NaN, or their opposites.
c     Infinity is OK and will not be flagged.  (See isnan.f).
c
c     Constantijn Panis, 15 October 1994
 
      implicit none
      integer length,i
      double precision array(length)
      logical isnan
 
      anydpnan=.true.
      do 100 i=1,length
         if(isnan(array(i)))goto 999
  100 continue
      anydpnan=.false.
 
  999 return
      end
