      subroutine char8sort(string,length1,noduplicates,length2)
 
c     Subroutine to sort a character*8 array in ascending order
c     by straight insertion.  The required computer time is quadratic
c     in length1.  If noduplicates is .true., duplicates are eliminated
c     and upon output, length2 is the number of unique names.
c
c     Constantijn Panis,  5 February 1993
 
      implicit none
      integer length1,length2,i,j,k
      character string(length1)*8
      logical noduplicates
 
      if(length1.le.0)then
         length2=0
         goto 999
      endif
      do 100 i=1,length1-1
         k=i
         do 110 j=i+1,length1
            if(string(j).lt.string(k))k=j
  110    continue
         if(k.ne.i)call char8flip(string(k),string(i))
  100 continue
 
      if(.not.noduplicates)goto 999
      j=1
      do 200 i=2,length1
         if(string(i).eq.string(i-1))goto 200
         j=j+1
         string(j)=string(i)
  200 continue
      length2=j
 
  999 return
      end
