      subroutine getkeepdrop(levelmax,xnodepos,moel,nold,maxxnode,
     *   nxold,namepntr,numfreq,maxnumfreq,freqloc,ipt,jpt,il,struc,
     *   xnode,oldname,line)
 
c     Subroutine to read in an optional keep or drop statement:
c
c     [{KEEP | DROP} IF condition;]
c
c     Constantijn Panis, 18 May 1998
 
      implicit none
      integer levelmax,xnodepos,moel(1),nold,maxxnode,nxold(levelmax),
     *   namepntr(levelmax),numfreq,maxnumfreq,freqloc(maxnumfreq),
     *   ipt,jpt,il,struc,level
      real xnode(maxxnode)
      character oldname(nold)*8,line*128
      logical smtxt
 
      if(smtxt(4,line,il,'KEEP IF'))then
         moel(1)=xnodepos+1
         call readexpr(1,levelmax,levelmax,level,1,nold,maxxnode,
     *      xnodepos,xnode,nxold,namepntr,numfreq,maxnumfreq,freqloc,
     *      oldname,line,il,ipt,jpt,struc,';')
      elseif(smtxt(4,line,il,'DROP IF'))then
         moel(1)=-(xnodepos+1)
         call readexpr(1,levelmax,levelmax,level,1,nold,maxxnode,
     *      xnodepos,xnode,nxold,namepntr,numfreq,maxnumfreq,freqloc,
     *      oldname,line,il,ipt,jpt,struc,';')
      else
         moel(1)=0
      endif
 
      return
      end
