      logical function iseof(unit,line,begin)
 
c     Logical function to determine whether a file starting at
c     line(begin:begin) only contains white characters.  If nonwhite
c     characters exist, iseof=.false. and line(begin:begin) will be
c     the first nonwhite character.
c
c     Constantijn Panis, 2 July 1996
 
      implicit none
      integer unit,begin,tab
      parameter(tab=9)
      character line*128,cl*1,ascii*1
 
      iseof=.true.
 
c     Position pointer in parsed file to first nonwhite character:
  100 if(begin.gt.80)then
         if(unit.le.0)goto 999
         read(unit,'(a80)',end=999,err=999)line
         begin=1
      endif
      cl=line(begin:begin)
      if(cl.eq.' '.or.cl.eq.ascii(tab))then
         begin=begin+1
         goto 100
      else
c        Nonwhite character found:
         iseof=.false.
         goto 999
      endif
 
  999 return
      end
