      double precision function lnnbym(n,m)
 
c     Double precision function to compute log(n!/((n-m)!*m!)
c     Method is based on the gamma function.
c
c     Constantijn Panis, 30 July 1992
 
      implicit none
      double precision dlgama,dpnan
      integer n,m
 
      if(n.lt.m)then
        lnnbym = dpnan()
      else
        lnnbym = dlgama(dble(n+1))-dlgama(dble(n-m+1))-dlgama(dble(m+1))
      endif
 
      return
      end
