      integer function numstd(corrrestrict,dim)
 
c     Integer function to compute the number of unrestricted
c     standard deviations of a dim-dimension distribution.  That
c     number is typically dim, but less if standard deviations
c     are restricted to be equal to each other.
c
c     Constantijn Panis, 22 November 1998
 
      implicit none
      integer dim,corrrestrict(dim,dim),i,dimp1
 
      if(corrrestrict(1,1).eq.0)then
c        Most common case: there are no restrictions
         numstd=dim
      else
c        There are restrictions
         numstd=0
         dimp1=dim+1
         do 100 i=1,dim
            if(i.eq.corrrestrict(i,i)/dimp1)numstd=numstd+1
  100    continue
      endif
 
      return
      end
