      double precision function pnorm1(x)
 
c     USE numerical_libraries
 
c     This function evaluates the normal distribution function:
c
c                              / x
c                     1       |       -t*t/2
c          P(x) = ----------- |      e       dt
c                 sqrt(2 pi)  |
c                             /-oo
c
c
c     Constantijn Panis, 1 December 2003
c     Last change: Lahey declares derf
 
      implicit none
      double precision x
c     Digital declaration is implicit in USE statements, above.
c     double precision derf
      double precision derf
c     double precision derf
c     external derf
 
c     pnorm1=dnordf(x)
c     pnorm1=.5d0*derf(x*dsqrt(.5d0))+.5d0
      pnorm1=.5d0*derf(x*dsqrt(.5d0))+.5d0
c     pnorm1=.5d0*derf(x*dsqrt(.5d0))+.5d0
 
  999 return
      end
