      logical function realallsame(value,vector,length)
 
c     Logical function to determine whether all elements of a vector
c     have the same value, as specified by the first argument.
c
c     If the length of the vector is negative or zero, .true. is
c     returned.
c
c     Constantijn Panis,  3 August 1991
 
      implicit none
      integer length,i
      real value,vector(length)
 
      realallsame=.true.
      do 100 i=1,length
         if(vector(i).ne.value)goto 800
  100 continue
 
      goto 999
  800 realallsame=.false.
  999 return
      end
