      subroutine semiyesno(flag,unit,line,il,ipt,jpt)
 
c     Subroutine to read any of the following:
c        (1)    ;
c        (2)    = yes;
c        (3)    = no;
c     In cases (1) and (2), set flag=1; else to 0.
c
c     Constantijn Panis, 24 January 2000
c     Last change: allow ipt=-1 and check whether file is open
 
      implicit none
      integer flag,unit,il,ipt,jpt
      character line*128
      logical smtxt,opened
 
      flag=0
      if(smtxt(unit,line,il,';'))then
         flag=1
      elseif(smtxt(unit,line,il,'=YES'))then
         flag=1
         if(.not.smtxt(unit,line,il,';'))goto 810
      elseif(smtxt(unit,line,il,'=NO'))then
         flag=0
         if(.not.smtxt(unit,line,il,';'))goto 810
      else
         goto 800
      endif
      goto 999
 
  800 if(ipt.gt.0.or.(ipt.eq.-1.and.opened(8)))then
         call caretline(8,line,il)
         write(8,801)
      endif
      if(jpt.gt.0)then
         call caretline(6,line,il)
         write(6,801)
      endif
  801 format('ERROR:  '';'' or ''=yes;'' or ''=no;'' expected.')
      stop
  810 if(ipt.gt.0.or.(ipt.eq.-1.and.opened(8)))then
         call caretline(8,line,il)
         write(8,811)
      endif
      if(jpt.gt.0)then
         call caretline(6,line,il)
         write(6,811)
      endif
  811 format('ERROR:  '';'' expected.')
      stop
  999 return
      end
 
