      subroutine timestamp(date_time)
 
c     Subroutine to return the date and time.
c
c     For SUN f77, extension fdate is used.
c
c     For Fortran 90, I modified subroutine timestamp2 as provided by
c     MIGRATING TO FORTRAN 90 by James F. Kerrigan, published by
c     O'Reilly & Associates, Inc. in the September, 1994 printing.
c
c     The result is something like "Tue May 28 15:56:47 1996"
c
c     Constantijn Panis, 17 November 1999
c     Last change: new use of i2c.
 
      implicit none
      character date_time*24
c     integer values(8),m,y,w
c     character days(0:6)*3,months(12)*3,weekday*3,year*4,day*2,
c    *   month*3,hour*2,minute*2,second*2,i2c*12
c     data days/'Sun','Mon','Tue','Wed','Thu','Fri','Sat'/
c     data months/'Jan','Feb','Mar','Apr','May','Jun','Jul','Aug',
c    *   'Sep','Oct','Nov','Dec'/
 
c     Retrieve and format the system date and time.
      call fdate(date_time)
c     call date_and_time(VALUES=values)
c     if(values(1).ne.-HUGE(values))then
c        y=values(1)
c        m=values(2)
c        if(m.lt.3)then
c           m=m+12
c           y=y-1
c        endif
c        w=mod((values(3)+(13*m-27)/5+y+y/4-y/100+y/400),7)
c
c        weekday=days(w)
c        year=i2c(values(1),4)
c        day=i2c(values(3),2)
c        month=months(values(2))
c        hour=i2c(values(5),2)
c        minute=i2c(values(6),-2)
c        second=i2c(values(7),-2)
c        date_time = weekday//' '//month//' '//day//' '//
c    *      hour//':'//minute//':'//second//' '//year
c     else
c        date_time=' '
c     endif
 
 
      return
      end
