      subroutine transpose(x,xt,n)
 
c     Subroutine to take transpose of a square matrix.  The input
c     and output matrices may share the same storage space.
c
c     Constantijn Panis,  4 December 1990
 
      implicit none
      integer n,i,j
      double precision x(n,n),xt(n,n),temp
 
      do 100 i=1,n
         xt(i,i) = x(i,i)
         do 110 j=1,i-1
            temp = x(i,j)
            xt(i,j) = x(j,i)
            xt(j,i) = temp
  110    continue
  100 continue
 
      return
      end
