      subroutine wr_m_spl(unit,levelmax,moel,meno,maxxnode,nold,
     *   namepntr,xnode,splname,oldname)
 
c     Subroutine to write a duration or regressor spline specification.
c
c     moel(1) = 5  this is a duration/regressor spline
c     moel(2) = xnode position of expression
c     moel(3) = 1  spline definition directly specified
c               2  spline definition indirectly referenced
c     moel(4) = spline definition number if moel(3)=1
c               expression position in xnode if moel(3)=2
c
c     Constantijn Panis,  21 March 1998
 
      implicit none
      integer unit,levelmax,moel(*),meno,maxxnode,nold,
     *   namepntr(levelmax),trm
      real xnode(maxxnode)
      character splname(*)*12,oldname(nold)*8,name*12
 
      if(moel(meno).eq.5)then
         write(unit,'(a,$)')'durspline(origin='
c        write(unit,'(a,$)')'durspline(origin='
cD        write(unit,'(a)',advance='no')'durspline(origin='
      elseif(moel(meno).eq.8)then
         write(unit,'(a,$)')'regspline(var='
c        write(unit,'(a,$)')'regspline(var='
cD        write(unit,'(a)',advance='no')'regspline(var='
      else
         call bug(1,1)
      endif
 
      call writeexpr(100,unit,maxxnode,0,levelmax,1,-moel(meno+1),
     *   0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
 
      if(moel(meno+2).eq.1)then
         name=splname(moel(meno+3))
         write(unit,'(a,$)')', ref='//name(1:trm(name))//')'
c        write(unit,'(a,$)')', ref='//name(1:trm(name))//')'
cD        write(unit,'(a)',advance='no')', ref='//name(1:trm(name))//')'
      elseif(moel(meno+2).eq.2)then
         write(unit,'(a,$)')', refvar='
c        write(unit,'(a,$)')', refvar='
cD        write(unit,'(a)',advance='no')', refvar='
         call writeexpr(100,unit,maxxnode,0,levelmax,1,-moel(meno+3),
     *      0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
         write(unit,'(a,$)')')'
c        write(unit,'(a,$)')')'
cD        write(unit,'(a)',advance='no')')'
      else
         call bug(1,1)
      endif
      meno=meno+4
 
      return
      end
