      subroutine checknames(datadim,levelmax,nvar,datalevel,nx,
     *   namepntr,structure,name)
 
c     Subroutine to check that there are no duplicate names within any
c     one data structure.
c
c     Constantijn Panis, 2 July 1996
 
      implicit none
      integer datadim,levelmax,nvar,datalevel(datadim),
     *   nx(levelmax,datadim),namepntr(levelmax,datadim),
     *   structure(datadim),dim,num,i,j,match,trm,intvecsum
      character name(nvar)*8
 
      dim=0
c     Check level 1 variable names:
      do 100 i=1,min(nx(1,1)+2,nvar-1)
         call char8match(name(i),name(i+1),nvar-i,match)
         if(match.ne.0)goto 800
  100 continue
 
      if(levelmax.eq.1)goto 999
 
c     Check level 2+ variable names:
      do 200 dim=1,datadim
         if(datalevel(dim).eq.1)goto 200
c        The +1 is for _branch2
         num=intvecsum(nx(2,dim),datalevel(dim)-1)+1
         do 210 j=1,num-1
            i=namepntr(2,dim)+j-1
            call char8match(name(i),name(i+1),num-j,match)
            if(match.ne.0)goto 800
  210    continue
  200 continue
      goto 999
 
  800 if(dim.eq.0)then
         write(8,801)name(i)(1:trm(name(i)))
         write(6,801)name(i)(1:trm(name(i)))
  801    format(/,'ERROR:  duplicate name ''',a,'''.')
      elseif(structure(dim).eq.0)then
         write(8,801)name(i)(1:trm(name(i)))
         write(6,801)name(i)(1:trm(name(i)))
      else
         call writeaia(8,72,1,'ERROR:  duplicate name '''//
     *      name(i)(1:trm(name(i)))//''' in data structure ',
     *      structure(dim),'.')
         call writeaia(6,72,1,'ERROR:  duplicate name '''//
     *      name(i)(1:trm(name(i)))//''' in data structure ',
     *      structure(dim),'.')
      endif
      stop
  999 return
      end
