      program raw2aml
 
c     This is raw2aml version 2.09
c
c     Last change: none; identical to 2.08
c
c     Constantijn Panis, 21 January 2006
 
      implicit none
      integer maxcc
      parameter(maxcc=8000000)
      double precision dd(maxcc/8)
      real rr(maxcc/4)
      integer ii(maxcc/4)
      logical ll(maxcc/4)
      character cc(maxcc)*1
      equivalence(dd,rr,ii,ll,cc)
 
c     Array pointers:
      integer xmean,xstd,xmin,xmax,
     *   x,x1copy,deduct,
     *   nx,namepntr,nbr,xbase,xpntr,nb,nblong,nbmax,branch,scratch,
     *   struc,ds,datastructure,datalevel,strucfreq,rect,double,
     *   initial,
     *   name
c     Dimensional parameters:
      integer datadim,levelmax,numvar,maxnb2,maxxdim,maxnbdim
 
c     Other scalars:
      integer nx1,r2aversion,maxobs,irrelvalue,nfiles,il
      character line*128
      logical deviations,irrelcheck,cross,withid
 
c     This is raw2aml version 2.09:
      data r2aversion/209/
c     r2aversion=10*r2aversion+1
      r2aversion=10*r2aversion+3
c     r2aversion=10*r2aversion+4
c     r2aversion=10*r2aversion+5
c     r2aversion=10*r2aversion+6
 
      call r2afiles(r2aversion)
      call scanr2a(datadim,levelmax,numvar,maxnb2,maxxdim,
     *   maxnbdim,nx1,deviations,cross,irrelcheck,irrelvalue,maxobs,
     *   withid,il,line)
      call arraysizes(maxcc,datadim,levelmax,numvar,maxnb2,
     *   maxxdim,maxnbdim,nx1,xmean,xstd,xmin,xmax,x,x1copy,deduct,nx,
     *   namepntr,nbr,xbase,xpntr,nb,nblong,nbmax,branch,scratch,struc,
     *   ds,datastructure,datalevel,strucfreq,rect,double,name,initial)
      call initraw2aml(numvar,levelmax,datadim,dd(xmean),dd(xstd),
     *   rr(deduct),ii(double),ii(rect),ii(datalevel),ii(datastructure),
     *   ii(strucfreq),ii(nx),ii(xbase),ii(nbmax),deviations,cc(name))
      call read_r2a(numvar,datadim,levelmax,ii(datastructure),
     *   ii(datalevel),ii(nbr),ii(double),ii(nx),nx1,ii(namepntr),
     *   nfiles,rr(deduct),ii(rect),
     *   deviations,irrelcheck,withid,cross,cc(name),line,il)
      call convert(r2aversion,nfiles,levelmax,datadim,numvar,maxobs,
     *   maxnb2,maxnbdim,maxxdim,nx1,ii(nx),ii(namepntr),
     *   ii(datalevel),ii(datastructure),ii(strucfreq),ii(struc),
     *   ii(nbmax),ii(branch),ii(xpntr),ii(xbase),ii(nb),ii(nblong),
     *   ii(scratch),ii(nbr),ii(ds),ii(double),irrelvalue,dd(xmean),
     *   dd(xstd),dd(xmin),dd(xmax),rr(x),rr(x1copy),rr(deduct),
     *   cc(name),ii(rect),ll(initial),deviations,irrelcheck,cross,
     *   withid)
 
      end
 
