      subroutine writegeneral(amlversion,r2aversion,ipt,jpt,convcrit,
     *   amlfile,dsn,title,rundate,datadate)
 
c     Subroutine to write out general information.
c
c     Constantijn Panis, 21 January 2006
c     Last change: remove license issues
 
      implicit none
      integer amlversion,r2aversion,ipt,jpt,
     *   unit,n1,n2,n3,n4,i,trm
      double precision convcrit(4)
      character amlfile*128,rundate*24,title*80,
     *   dsn*128,datadate*24,c3*2,c4*2,fmt*16,i2c*12
      logical writeor
 
      unit=8
      if(ipt.lt.4)unit=6
      if(unit.eq.6.and.jpt.lt.4)goto 999
 
  100 if(title.ne.' ')then
         n1=trm(title)
         n2=max(72,6+n1)
         n3=(n2-n1-2)/2
         n4=n2-n1-2-n3
         c3=i2c(n3,0)
         c4=i2c(n4,0)
c        fmt is something like '(a,25x,a,24x,a)'
         fmt='(a,'//c3(1:trm(c3))//'x,a,'//c4(1:trm(c4))//'x,a)'
         write(unit,'(100a)')('=',i=1,n2)
         write(unit,fmt)'=',title(1:trm(title)),'='
         write(unit,'(100a)')('=',i=1,n2)
         write(unit,'(1x)')
      endif
 
      call writelic(unit,amlversion)
 
c     Control file:     hazard1a.aml
c     Start of program: Thu Nov 18  9:28:16 1999
c     Input data file:  hazard.dat
c          Created on:  Tue Aug 31 11:03:55 1999
c          Created by:  raw2aml version 1.62
      write(unit,106)rundate,amlfile(1:trm(amlfile)),dsn(1:trm(dsn)),
     *   datadate,.01*r2aversion
  106 format(/,'Start of program:  ',a24,/
     *   'Control file:',t20,a,/,
     *   'Input data file:',t20,a,/,
     *   5x,'Created on:   ',a24,/,
     *   5x,'Created by:   raw2aml version',f5.2)
 
c     Convergence criteria:
      write(unit,'(/,a,$)')'Converge if '
c     write(unit,'(/,a,$)')'Converge if '
cD     write(unit,'(/,a)',advance='no')'Converge if '
      writeor=.false.
      if(convcrit(1).gt.0.d0)then
         write(unit,'(a,$)')'wgn <'
c        write(unit,'(a,$)')'wgn <'
cD        write(unit,'(a)',advance='no')'wgn <'
         call writedble(unit,convcrit(1),1,-8,0,0)
         writeor=.true.
      endif
      if(convcrit(2).gt.0.d0)then
         if(writeor)write(unit,'(a,$)')' or '
c        if(writeor)write(unit,'(a,$)')' or '
cD        if(writeor)write(unit,'(a)',advance='no')' or '
         write(unit,'(a,$)')'rfi <'
c        write(unit,'(a,$)')'rfi <'
cD        write(unit,'(a)',advance='no')'rfi <'
         call writedble(unit,convcrit(2),1,-8,0,0)
         writeor=.true.
      endif
      if(convcrit(3).gt.0.d0)then
         if(writeor)write(unit,'(a,$)')' or '
c        if(writeor)write(unit,'(a,$)')' or '
cD        if(writeor)write(unit,'(a)',advance='no')' or '
         write(unit,'(a,$)')'gn <'
c        write(unit,'(a,$)')'gn <'
cD        write(unit,'(a)',advance='no')'gn <'
         call writedble(unit,convcrit(3),1,-8,0,0)
         writeor=.true.
      endif
      if(convcrit(4).gt.0.d0)then
         if(writeor)write(unit,'(a,$)')' or '
c        if(writeor)write(unit,'(a,$)')' or '
cD        if(writeor)write(unit,'(a)',advance='no')' or '
         write(unit,'(a,$)')'rss <'
c        write(unit,'(a,$)')'rss <'
cD        write(unit,'(a)',advance='no')'rss <'
         call writedble(unit,convcrit(4),1,-8,0,0)
         writeor=.true.
      endif
      write(unit,'(1x)')
 
      if(unit.eq.6.or.jpt.lt.4)goto 999
      unit=6
      goto 100
 
  999 return
      end
